package com.smppw.common.pojo.enums;

import java.util.stream.Stream;

/**
 * @author zhengsongliang
 * @datetime 2017年8月7日 下午4:27:35
 */
public enum ValueGrowthType {
	CNI6Style(1), CNI2Style(2),CNI6Strategy(3);
	private int id;

	private ValueGrowthType(int id) {
		this.id=id;
	}
	public int getId() {
		return id;
	}

	public static ValueGrowthType getAllocationIndex(int id) {
		return Stream.of(ValueGrowthType.values()).filter(e -> e.id == id).findFirst().orElse(null);
	}
	
}
